## ros-kinetic-rosbridge-library 0.11.13

=== debian/changelog ===
ros-kinetic-rosbridge-library (0.11.13-1xenial) xenial; urgency=high

  * fix python-future dependency (#542 <https://github.com/RobotWebTools/rosbridge_suite/issues/542>)
    * fix python-future dependency
    This was not fixed with fadffa09b1b572e4dc11848c31bb6ebab4a3e95d
    The dependency was added with #541 <https://github.com/RobotWebTools/rosbridge_suite/issues/541>
    Python doesn't have build dependencies, only exec dependencies
    * update ros-tooling/action-ros-ci
    See:
    https://github.blog/changelog/2020-10-01-github-actions-deprecating-set-env-and-add-path-commands/
    This was fixed upstream
    - https://github.com/ros-tooling/action-ros-ci/issues/429
    - https://github.com/ros-tooling/action-ros-ci/pull/430
    * update ros-tooling/setup-ros
    See:
    https://github.blog/changelog/2020-10-01-github-actions-deprecating-set-env-and-add-path-commands/
    This is needed for upstream fix
    - https://github.com/ros-tooling/setup-ros/pull/303
  * Contributors: Alex Moriarty

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 05:00:00 -0000

ros-kinetic-rosbridge-library (0.11.12-1xenial) xenial; urgency=high

  * Fix missing python-future python 2 dep
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 05:00:00 -0000

ros-kinetic-rosbridge-library (0.11.11-1xenial) xenial; urgency=high

  * Use Python 3 str in incoming (#541 <https://github.com/RobotWebTools/rosbridge_suite/issues/541>)
    Fixes Python 2 unicode issues.
    Supersedes #539 <https://github.com/RobotWebTools/rosbridge_suite/issues/539> to fix regression in #514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 05:00:00 -0000

ros-kinetic-rosbridge-library (0.11.10-1xenial) xenial; urgency=high

  * possible fix for error when working with RosSharp, TypeError: can only concatenate str (not bytes) to str (#514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>)
    Co-authored-by: Dmitri <mailto:dmitri@dmitri.com>
  * Contributors: Dmitri

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 04:00:00 -0000

ros-kinetic-rosbridge-library (0.11.9-1xenial) xenial; urgency=high

  * noetic tests and fixes (#503 <https://github.com/RobotWebTools/rosbridge_suite/issues/503>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 04:00:00 -0000

ros-kinetic-rosbridge-library (0.11.8-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 04:00:00 -0000

ros-kinetic-rosbridge-library (0.11.7-1xenial) xenial; urgency=high

  * Fix backpressure deadlock (#496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>)
    * Don't block Subscription.unregister()
    * Don't add messages to finished queue handler
    * Decouple incoming WS handling from server thread
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 04:00:00 -0000

ros-kinetic-rosbridge-library (0.11.6-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 04:00:00 -0000

ros-kinetic-rosbridge-library (0.11.5-1xenial) xenial; urgency=high

  * Add script for dockerized development shell (#479 <https://github.com/RobotWebTools/rosbridge_suite/issues/479>)
    * Add script for dockerized development shell
    * Fix queue dropping test
  * Subscriber concurrency review (#478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>)
    * Lock access to SubscriberManager public methods
    Prevent subscribe during unsubscribe critical section.
    * Unsubscribing an unsubscribed topic is an error
    This branch must not be ignored.
    * Cleanup some redundant syntax in subscribers impl
  * Fix queue blocking (#464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>)
    * Unblock QueueMessageHandler.handle_message
    The thread was holding the lock while pushing to a potentially blocking
    function.  Rewrite the logic and use a deque while we're at it.
    * Add test for subscription queue behavior
    Guarantee that the queue drops messages when blocked.
  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Fixing wrong header/stamp in published ROS-messsages (#472 <https://github.com/RobotWebTools/rosbridge_suite/issues/472>)
    When publishing a message to ROS (i.e. incoming from rosbridge_server's perspective), timestamps in the Header attributes all point to the same Time object iff the message contains multiple Header attributes (typically the case if a ROS message contains other ROS messages, e.g. ...Array-types) and rosparam use_sim_time is true.
  * Contributors: Alexey Rogachevskiy, Matt Vollrath, danielmaier

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 04:00:00 -0000

ros-kinetic-rosbridge-library (0.11.4-1xenial) xenial; urgency=high

  * Concurrency review (#458 <https://github.com/RobotWebTools/rosbridge_suite/issues/458>)
    * Safer locking in PublisherConsistencyListener
    * Safer locking in ros_loader
    * Print QueueMessageHandler exceptions to stderr
    * Register before resuming outgoing valve
    * Don't pause a finished socket valve
  * Add cbor-raw compression (#452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
    The CBOR compression is already a huge win over JSON or PNG encoding,
    but it’s still suboptimal in some situations. This PR adds support for
    getting messages in their raw binary (ROS-serialized) format. This has
    benefits in the following cases:
    - Your application already knows how to parse messages in bag files
    (e.g. using [rosbag.js](https://github.com/cruise-automation/rosbag.js),

